package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.ApiRuningMonitoringModel;
import com.lightinit.hsdataplatform.model.admin.MicroappRuningModel;
import com.lightinit.hsdataplatform.model.admin.UserLogRuningModel;

public interface IRuningMonitoringService {
    ApiRuningMonitoringModel queryAPIType();

    MicroappRuningModel queryMicroappType();

    UserLogRuningModel queryUserLogType();

    int del(Long id);

    ResultState<Long> add(ApiRuningMonitoringModel inputModel);
    ResultState<Long> add(MicroappRuningModel inputModel);
    ResultState<Long> add(UserLogRuningModel inputModel);
}
